# PSF-LoginServer - master - net.psforever.services.teamwork.SquadService
PSF - LoginServer - master - net.psforever.services.teamwork.SquadService
Keywords: PSF LoginServer master net.psforever.services.teamwork.SquadService

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package teamwork
  Definition Classes
    services
- SquadAction
- SquadResponse
- SquadService
- SquadServiceMessage
- SquadServiceResponse
- SquadSwitchboard

o

net.psforever.services.teamwork

# SquadService 

###
Companion class SquadService

#### object SquadService

Source
  SquadService.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SquadService
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class IndirectInvite (player: Player, squad_guid: PlanetSideGUID) extends Invitation with Product with Serializable

   Utilized to redirect an (accepted) invitation request to the proper squad leader.

   Utilized to redirect an (accepted) invitation request to the proper squad leader. No direct action causes this message.

   player

     the player who would be joining the squad; may or may not have actually requested it in the first place

   squad_guid

     the squad

2.  abstract class Invitation extends AnyRef

   The base of all objects that exist for the purpose of communicating invitation from one player to the next.

3.  final case class LookingForSquadRoleInvite (char_id: Long, name: String, squad_guid: PlanetSideGUID, position: Int) extends Invitation with Product with Serializable

   Utilized in conjunction with an external queuing data structure to search for and submit requests to other players for the purposes of fill out an unoccupied squad role.

   Utilized in conjunction with an external queuing data structure to search for and submit requests to other players for the purposes of fill out an unoccupied squad role.

   char_id

     the unique character identifier of the squad leader

   name

     the name of the squad leader

   squad_guid

     the squad with the role

   position

     the index of the role

4.  final case class ProximityInvite (char_id: Long, name: String, squad_guid: PlanetSideGUID) extends Invitation with Product with Serializable

   Utilized in conjunction with an external queuing data structure to search for and submit requests to other players for the purposes of fill out unoccupied squad roles.

   Utilized in conjunction with an external queuing data structure to search for and submit requests to other players for the purposes of fill out unoccupied squad roles.

   char_id

     the unique character identifier of the squad leader

   name

     the name of the squad leader

   squad_guid

     the squad

5.  final case class RequestRole (player: Player, squad_guid: PlanetSideGUID, position: Int) extends Invitation with Product with Serializable

   Utilized when one player attempts to join an existing squad in a specific role.

   Utilized when one player attempts to join an existing squad in a specific role. Accessed by the joining player from the squad detail window.

   player

     the player who requested the role

   squad_guid

     the squad with the role

   position

     the index of the role

6.  final case class SpontaneousInvite (player: Player) extends Invitation with Product with Serializable

   Utilized when one player issues an invite for some other player for a squad that does not yet exist.

   Utilized when one player issues an invite for some other player for a squad that does not yet exist.

   player

     na

7.  final case class VacancyInvite (char_id: Long, name: String, squad_guid: PlanetSideGUID) extends Invitation with Product with Serializable

   Utilized when one squad member issues an invite for some other player.

   Utilized when one squad member issues an invite for some other player. Accessed by an existing squad member using the "Invite" menu option on another player.

   char_id

     the unique character identifier of the player who sent the invite

   name

     the name the player who sent the invite

   squad_guid

     the squad

8.  class WaypointData extends AnyRef

   Information necessary to display a specific map marker.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def LoadSquadDefinition(squad: Squad, favorite: SquadLoadout): Unit

   Clear the current detail about a squad's membership and replace it with a previously stored details.

   Clear the current detail about a squad's membership and replace it with a previously stored details.

   squad

     the squad

   favorite

     the loadout object

5.  def PublishFullDetails(squad: Squad): SquadDetail

   Produce complete squad membership details.

   Produce complete squad membership details.

   squad

     the squad

   returns

     the squad's information to be used in the squad's detail window

   See also

     `SquadDetail`

6.  def PublishFullListing(squad: Squad): SquadInfo

   Produce complete squad information.

   Produce complete squad information.

   squad

     the squad

   returns

     the squad's information to be used in the squad list

   See also

     `SquadInfo`

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  object WaypointData

### Inherited from AnyRef

### Inherited from Any

### Ungrouped